Package com.sas.metadata.remote

# Interface SASFileRef

All Superinterfaces:
  `CMetadata`, `DeployedDataPackage`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface SASFileRef extends DeployedDataPackage
Represents a name temporarily assigned to an external file or to an aggregate storage location that identifies it to SAS. The associated ContentLocations (and this should be a single object except for concatenated files) represent the location used by the fileref.

Attributes of SASFileRef are:

- `Fileref`
- `AccessMethod`
- `IsPreassigned`

Associations of SASFileRef are:

- `FileRefLocations`
- `Reports`

## Usage

To create an instance of this SASFileRef, use the `factory` create methods.
Example: create a SASFileRef with name "SASFileRef_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SASFileRef myObject = (SASFileRef) factory.createComplexMetadataObject(objectStore, "SASFileRef_Object", MetadataObjects.SASFILEREF, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_FILEREFLOCATIONS_NAME`
  Constant used for the name of the FileRefLocations association.
  `static final String`
  `ASSOCIATION_REPORTS_NAME`
  Constant used for the name of the Reports association.
  `static final String`
  `ATTRIBUTE_ACCESSMETHOD_NAME`
  Constant used for the name of the AccessMethod attribute.
  `static final String`
  `ATTRIBUTE_FILEREF_NAME`
  Constant used for the name of the Fileref attribute.
  `static final String`
  `ATTRIBUTE_ISPREASSIGNED_NAME`
  Constant used for the name of the IsPreassigned attribute.

  ### Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccessMethod()`
  Gets the `String` value of `AccessMethod`
  `int`
  `getAccessMethodMaxLength()`
  Gets the maximum length of `AccessMethod`
  `int`
  `getAccessMethodState()`
  Gets the Metadata State of `AccessMethod`
  `String`
  `getFileref()`
  Gets the `String` value of `Fileref`
  `AssociationList`
  `getFileRefLocations()`
  Gets the AssociationList of `FileRefLocations`
  `AssociationList`
  `getFileRefLocations(boolean fGoToServer)`
  Gets the Associationlist of `FileRefLocations`
  `int`
  `getFilerefMaxLength()`
  Gets the maximum length of `Fileref`
  `int`
  `getFilerefState()`
  Gets the Metadata State of `Fileref`
  `int`
  `getIsPreassigned()`
  Gets the `int` value of `IsPreassigned`
  `int`
  `getIsPreassignedState()`
  Gets the Metadata State of `IsPreassigned`
  `AssociationList`
  `getReports()`
  Gets the AssociationList of `Reports`
  `AssociationList`
  `getReports(boolean fGoToServer)`
  Gets the Associationlist of `Reports`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `FileRefLocations`
  `Reports`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAccessMethod(String inAccessMethod)`
  Sets the `AccessMethod` value and sets the state to MetadataState.LOCAL.
  `void`
  `setAccessMethod(String inAccessMethod, int state)`
  Sets the `AccessMethod` Metadata State.
  `void`
  `setAccessMethodState(int state)`
  Sets the Metadata State of `AccessMethod`.
  `void`
  `setFileref(String inFileref)`
  Sets the `Fileref` value and sets the state to MetadataState.LOCAL.
  `void`
  `setFileref(String inFileref, int state)`
  Sets the `Fileref` Metadata State.
  `void`
  `setFileRefLocations(AssociationList list)`
  Sets the `FileRefLocations` list to be `list`.
  `void`
  `setFileRefLocations(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setFilerefState(int state)`
  Sets the Metadata State of `Fileref`.
  `void`
  `setIsPreassigned(int inIsPreassigned)`
  Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsPreassigned(int inIsPreassigned, int state)`
  Sets the `IsPreassigned` Metadata State.
  `void`
  `setIsPreassigned(String inIsPreassigned)`
  Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsPreassigned(String inIsPreassigned, int state)`
  Sets the `IsPreassigned` value and Metadata State.
  `void`
  `setIsPreassignedState(int state)`
  Sets the Metadata State of `IsPreassigned`.
  `void`
  `setReports(AssociationList list)`
  Sets the `Reports` list to be `list`.
  `void`
  `setReports(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  ### Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_FILEREF_NAME

    static final String ATTRIBUTE_FILEREF_NAME
    Constant used for the name of the Fileref attribute.

    Fileref: The fileref used by SAS software.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ACCESSMETHOD_NAME

    static final String ATTRIBUTE_ACCESSMETHOD_NAME
    Constant used for the name of the AccessMethod attribute.

    AccessMethod: The access method SAS software uses to access the file.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ISPREASSIGNED_NAME

    static final String ATTRIBUTE_ISPREASSIGNED_NAME
    Constant used for the name of the IsPreassigned attribute.

    IsPreassigned: If true, the other attributes of this object that contain information used by a FILENAME statement may be provided for documentation purposes only but is not required to access the file, because it has been assigned via some other mechanism.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_FILEREFLOCATIONS_NAME

    static final String ASSOCIATION_FILEREFLOCATIONS_NAME
    Constant used for the name of the FileRefLocations association.

    FileRefLocations: The location used by this fileref. This should be at most a single object except for concatenated files.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_REPORTS_NAME

    static final String ASSOCIATION_REPORTS_NAME
    Constant used for the name of the Reports association.

    Reports: The reports that use this fileref for location.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `FileRefLocations`
    `Reports`
    Specified by:
      `initializePredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFileref

    String getFileref() throws RemoteException
    Gets the `String` value of `Fileref`
    Returns:
      The `Fileref`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFilerefState

    int getFilerefState() throws RemoteException
    Gets the Metadata State of `Fileref`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFilerefMaxLength

    int getFilerefMaxLength() throws RemoteException
    Gets the maximum length of `Fileref`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAccessMethod

    String getAccessMethod() throws RemoteException
    Gets the `String` value of `AccessMethod`
    Returns:
      The `AccessMethod`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAccessMethodState

    int getAccessMethodState() throws RemoteException
    Gets the Metadata State of `AccessMethod`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAccessMethodMaxLength

    int getAccessMethodMaxLength() throws RemoteException
    Gets the maximum length of `AccessMethod`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsPreassigned

    int getIsPreassigned() throws RemoteException
    Gets the `int` value of `IsPreassigned`
    Returns:
      The `IsPreassigned`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsPreassignedState

    int getIsPreassignedState() throws RemoteException
    Gets the Metadata State of `IsPreassigned`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFileRefLocations

    AssociationList getFileRefLocations() throws RemoteException, MdException
    Gets the AssociationList of `FileRefLocations`
    Returns:
      Returns the AssociationList of `FileRefLocations` which can be of type:
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getReports

    AssociationList getReports() throws RemoteException, MdException
    Gets the AssociationList of `Reports`
    Returns:
      Returns the AssociationList of `Reports` which can be of type:
      Report
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getFileRefLocations

    AssociationList getFileRefLocations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `FileRefLocations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `FileRefLocations` which can be of type:
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getReports

    AssociationList getReports(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Reports`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `Reports` which can be of type:
      Report
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setFileref

    void setFileref(String inFileref) throws RemoteException
    Sets the `Fileref` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inFileref` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFileref

    void setFileref(String inFileref, int state) throws RemoteException
    Sets the `Fileref` Metadata State.
    Parameters:
      `inFileref` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFilerefState

    void setFilerefState(int state) throws RemoteException
    Sets the Metadata State of `Fileref`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccessMethod

    void setAccessMethod(String inAccessMethod) throws RemoteException
    Sets the `AccessMethod` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inAccessMethod` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccessMethod

    void setAccessMethod(String inAccessMethod, int state) throws RemoteException
    Sets the `AccessMethod` Metadata State.
    Parameters:
      `inAccessMethod` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAccessMethodState

    void setAccessMethodState(int state) throws RemoteException
    Sets the Metadata State of `AccessMethod`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsPreassigned

    void setIsPreassigned(int inIsPreassigned) throws RemoteException
    Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsPreassigned` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsPreassigned

    void setIsPreassigned(int inIsPreassigned, int state) throws RemoteException
    Sets the `IsPreassigned` Metadata State.
    Parameters:
      `inIsPreassigned` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsPreassigned

    void setIsPreassigned(String inIsPreassigned) throws RemoteException
    Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsPreassigned` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsPreassigned

    void setIsPreassigned(String inIsPreassigned, int state) throws RemoteException
    Sets the `IsPreassigned` value and Metadata State.
    Parameters:
      `inIsPreassigned` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsPreassignedState

    void setIsPreassignedState(int state) throws RemoteException
    Sets the Metadata State of `IsPreassigned`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFileRefLocations

    void setFileRefLocations(AssociationList list) throws RemoteException
    Sets the `FileRefLocations` list to be `list`. Objects of which can be of type:
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFileRefLocations

    void setFileRefLocations(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setReports

    void setReports(AssociationList list) throws RemoteException
    Sets the `Reports` list to be `list`. Objects of which can be of type:
    Report
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setReports

    void setReports(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.